<template>
  <view class="page__view">

		<navbar title="全部评论" leftClick @leftClick="$utils.navigateBack" bgColor="#FFFFFF" />

    <view class="main">

      <view class="list" v-if="total">
        <view class="list-item" v-for="item in list" :key="item.id">
          <commentCard :data="item"></commentCard>
        </view>
      </view>

    </view>

  </view>
</template>

<script>
	import mixinsList from '@/mixins/list.js'

  import commentCard from '@/pages_order/comment/commentCard.vue'

  export default {
		mixins: [mixinsList],
    components: {
      commentCard,
    },
    data() {
      return {
        // todo
				mixinsListApi: '',
      }
    },
    onShow() {
      console.log('onShow')
    },
    onLoad(arg) {
      console.log('onLoad')
      const { productId } = arg

      this.queryParams.productId = productId

      this.getData()
    },
    methods: {
    },
  }
</script>

<style scoped lang="scss">
  .page__view {
    background: $uni-bg-color;
  }

  .main {
    padding: 40rpx;
  }
  
  .list {
    padding: 32rpx;
    background: #FFFFFF;
    border-radius: 24rpx;
    
    &-item {
      & + & {
        margin-top: 16rpx;
      }
    }
  }

</style>